Bug 107719 - Kernel 2.6.0-0.test8 shows error messages on boot
Kernel 2.6.0-0.test8 shows error messages on boot
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 09:30 EDT by Ralf Ertzinger
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-09 08:03:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2003-10-22 09:30:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031014

Description of problem:
While booting, the kernel shows debugging error messages twice, but continues to
boot, and runs fine afterwards. The options passed to the kernel are "ro
root=LABEL=/1"

The error messages (with some lines of context):

Initializing CPU#0
PID hash table entries: 2048 (order 11: 16384 bytes)
Debug: sleeping function called from invalid context at include/linux/rwsem.h:66
in_atomic():1, irqs_disabled():1
Call Trace:
 [<c01177c4>] __might_sleep+0x77/0x83
 [<c0207145>] cpufreq_register_notifier+0x1b/0x6a
 [<c0105000>] _stext+0x0/0x16
 [<c0316849>] init_tsc+0x57/0x127
 [<c0105000>] _stext+0x0/0x16
 [<c011207b>] select_timer+0x20/0x45
 [<c0313eb4>] time_init+0x3e/0x48
 [<c03104cf>] start_kernel+0x83/0x15a
 [<c031035c>] unknown_bootoption+0x0/0xcf

Detected 1200.753 MHz processor.
Console: colour VGA+ 80x25
Memory: 515448k/524224k available (1384k kernel code, 8012k reserved, 713k data,
136k init, 0k highmem)
Debug: sleeping function called from invalid context at mm/slab.c:1857
in_atomic():1, irqs_disabled():0
Call Trace:
 [<c01177c4>] __might_sleep+0x77/0x83
 [<c0131fc4>] kmem_cache_alloc+0x1c/0x143
 [<c0131092>] kmem_cache_create+0x1ae/0x54c
 [<c0317bb1>] mem_init+0x1b2/0x1cf
 [<c0319546>] kmem_cache_init+0xe8/0x21e
 [<c0105000>] _stext+0x0/0x16
 [<c0310524>] start_kernel+0xd8/0x15a

Calibrating delay loop... 2351.10 BogoMIPS



The machine in question is a 1200MHz Duron

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test8.1.63

How reproducible:
Always

Steps to Reproduce:
1. Boot the kernel
2.
3.
    

Actual Results:  Some error messages show

Expected Results:  No errors

Additional info:
Comment 1 Ralf Ertzinger 2003-11-03 08:35:59 EST
This does no longer occur in -test9.1.67
Comment 2 Ralf Ertzinger 2004-04-09 08:03:13 EDT
Fixed, closing.

Note You need to log in before you can comment on or make changes to this bug.